.TH csvconv_cfg 5

.SH NAME
csvconv_cfg - config file for csvconv(1).

.SH DESCRIPTION

.BR csvconv
uses a line oriented config file. Empty lines and lines starting with a
pound symbol ("#") are ignored. Every config directive must begin with a
keyword in the first column, followed by at least one space, followed by 
the according value.

.SH CONFIG DIRECTIVES

.TP
separator <character>
Which <character> to use as separator between the elements in the records. 
The default value is a comma. Whitespace and double-quotes do not qualify as 
separator characters.

.TP
fields <ident1> <ident2> <ident3> ...
Space separated list of names for the columns in the input file.
These macros may be used in the template file, to refer to the according
fields. Identifiers being substrings of other identifiers may lead to
macros being expanded inside of macros (the program will not perform 
any sanity checks on this, as this might be desired on special occations).

.TP
missing <textstring>
CSV does not require all records to contain the same number of elements.
If a field is requested in the template file, for which no element exists
in the according input record, it'll be replaced by <textstring>. The
default is to replace such variables with an empty string.

.TP
empty <textstring>
If a field is requested in the template file, for which the according element
is empty, it'll be replaced by <textstring>. The default is to replace such
variables with an empty string.

.TP
template <file>
Full path to the template file. The contents of this file will be written
once (after variable expansion) per input record to the outputfile

.TP 
options <option1> <option2> ...
Request certain modifiers to be actived (see section OPTIONS below).
Modifiers affect the way,
.BR csvconv
interprets input records and may lead to totally different output.

.SH OPTIONS

.TP
singlelined
Disallow records to span across several lines. If this modifier is selected,
every record will be forcefully "closed" if the end of line is reached.

.TP
strip
With this flag set, leading/trailing whitespaces (tabs and spaces) will be
stripped from the fields.

.TP
behead
If given, the program will ignore the first input record, which is sometimes
used as a header, describing the collumns, but is otherwise
undistinguishable from normal data records.

.TP
nolinebreak
If an element contains linebreaks, they'll be deleted.

.SH SEE ALSO
.BR csvconv (1),
.BR csvconv_csv (5)

.SH AUTHOR
Patrick Ahlbrecht <p.ahlbrecht@billiton.de>
