.TH linkget 1
.SH NAME
linkget - Extract links from HTML text

.SH SYNOPSIS
.B linkget
[\-h]
[\-i]
[\-t\ <string>]
[\-g\ <file>]
[\-f\ <file>]
[\-r\ <regex>]
[\-a\ <macro>]

.SH DESCRIPTION
.B linkget
is a program for extracting links from HTML documents. Each link found
is broken up into it's components, which may then be printed to stdout using
a formatstring.


.SH OPTIONS
.IP "-h"
Print usage information and exit.

.IP "-i"
Perform inverse matching. Only print those links not matching the regular
expression supplied with the "-r" commandline switch.

.IP "-t <string>"
Specify alternative format string for output. The default value for <string>
is: "=asis\\en" (see MACROS section below for more information).

.IP "-g <file>"
Generate output, using the contents of <file> as template.

.IP "-f <file>"
Read input from <file> instead of stdin.

.IP "-r <regex>"
Only print links matching the regular expression <regex>.

.IP "-a <macro>"
Apply the regex specified via "-r" switch to the content of <macro>. Default 
is to match against the "=asis" macro (see section MACROS below).


.SH MACROS
Every link that is found by the parser will be broken up into it's components.
This way, the user may conveniently choose which part of the link s/he is
interested in, by simply putting the accroding macro in the template string
(see: "-t" command line switch).

Macros may be unspecified, if the link does not contain the corresponding
information. In this case the refering macro is silently discarded from the
output.

.TP
=asis
This macro contains the link as it was found in the HTML source.

.TP
=prot
If the link is an URL, this macro will contain the protocol
part of that URL.

.TP
=host
If the link contains a hostname, it'll be accessable through this macro.

.TP
=port
If the link contains hostname and portnumber, than the portnumber will be
accessable through this macro.

.TP
=path
This macro represents path information found in the link.

.TP
=args
Any remaining data behind the path part of the link.

.TP
=mail
Access to the mailaddress in "mailto:" link.

.TP
=user
If the link contained login credentials, then this macro will contain the 
login name.

.TP
=pass
If the link contained login credentials, then this macro will contain the
password.

.TP
\\en
A newline character.

.TP
\\et
A tabluator character.

.SH ENVIRONMENT

.IP FSTRING
The contents of the environment variable FSTRING will taken as format
string, if set and not overridden by the according commandline switches.


.SH BUGS
Linkget doesn't actually parse HTML (at least not in the way a webbrowser 
would do), but simply looks for a tag, containing the string "href" 
(case insignificant).

.SH SEE ALSO
.BR regex(7)

.SH AUTHOR
Patrick Ahlbrecht <p.ahlbrecht@billiton.de>
