.TH rot13 1
.SH NAME
rot13 - rot13 encoder/decoder

.SH SYNOPSIS
.BR rot13 
[\-h]
[\-r\ <int>]
[\-f\ <file>]
[\-o\ <file>] 
[\-p\ <from>[,<to>]]
[\-a\ <string> [<string> ...]]

.SH DESCRIPTION
.BR rot13
is a very weak text encryption scheme, based on shifting every character 
in a given characterset a fixed number of places in one direction. That is,
if the latin alphabet was written on a codewheel (26 sectors with one 
letter per sector), then the ouput letter to each input letter would be found 
by rotating this wheel 13 sectors in either direction. Therefore running a
text twice through rot13 will result in the original text again.
.P
Per default, 
.BR rot13
only scrambles the letters a-z and A-Z. Numbers, spaces,
punctuation marks and locale specific characters are left unchanged.
.P
Rot13 is obiously not a secure encryption in any way, but still usefull to 
prevent text(-passages), from being read accidentially.


.SH OPTIONS
.IP "-h"
Print usage and exit.

.IP "-r <int>"
Rotate by <int> characters instead of 13. Negative numbers will be converted 
to their absolute value before rotating.

.IP "-f <file>"
Read text to rotate from <file> instead of standard input.

.IP "-o <file>"
Write output to <file> instead of standard output. Since
.BR rot13
will read the entire input before encoding/decoding, input and output file
may be identical.

.IP "-p <from>[,<to>]"
Only encode/decode the text passage between <from> and <to>.

.IP "-a <string> [<string> ...]"
Specify different alphabet. Rot13 will rotate data through each <string>
alphabet, before printing the results. The default alphabet consists of the 
two strings "abcdefghijklmnopqrstuwxyz" and "ABCDEFGHIJKLMNOPQRSTUVWXYZ".


.SH AUTHOR
Patrick Ahlbrecht <p.ahlbrecht@billiton.de>
